Subject: Re: bug#7563: 23.2; `split-string-and-unquote' mis-documented / purpose unclear

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Dec 2010 20:50:34 +0200

> Cc: "[email-masked]" <[email-masked]>,
>  "[email-masked]" <[email-masked]>
> From: Dave Abrahams <[email-masked]>
> Date: Sat, 11 Dec 2010 12:57:30 -0500
> 
> Sorry, let me precise: your fix is correct inasmuch as it fulfills your intention, but the text you were working on is still wrong because it says quite clearly that backslash escaping is supported, but as I have shown, it is not. 

Quoting with backslashes _is_ supported, in the Lisp string style.
Try this, for example:

  (split-string-and-unquote "\"foo\\\"bar\" bar") => ("foo\"bar" "bar")

> Specifically it specifically states they handle backslashes, and strongly implies that they have generally-useful semantics for interacting with arbitrary shells, when in fact they are essentially implementation details of call-/start-process whose semantics are only appropriate to an undocumented set of conditions set up in those two functions. 

I tried to make it more clear that these functions are mainly for
working with command-line arguments of call-/start-process.

> >>  * The functions' design still has nothing to do with shell quoting;
> >>    they are hard-coded to work with double-quotes and only
> >>    double-quotes, which is not guaranteed to work for an arbitrary
> >>    definition of "shell."
> > 
> > I believe the manual says precisely that.  If the problem is with
> > mentioning "shell", would removing that solve this difficulty?
> 
> It would certainly help

Done.